set more off
capt log close

log using "C:\Documents and Settings\alebleb\Desktop\replication_files\table4", replace


use "C:\Documents and Settings\alebleb\Desktop\replication_files\pwt61&wdi_75.dta", clear


/******OECD********/
ivreg2 grgdpw grgdpw2 grgdpw3 dlki2 dlki3 y* ccountry* (grgdpw1 lki dlki dlki1= grgdpw4 dlki4 lki5 lki6 lrgdpw5 lrgdpw6 /*
*/ltrade2 ltrade3 lgov2 lgov3 linfl2 linfl3) if oecd==1, bw(2) ro 
abar, lags(2)

test dlki dlki1 dlki2 dlki3
test dlki dlki2 dlki3

scalar define g=_b[lki]/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])
scalar dir g
testnl _b[lki]/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])=0

scalar define lev=(_b[dlki]+_b[dlki1]+_b[dlki2]+_b[dlki3])/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])
scalar dir lev
testnl (_b[dlki]+_b[dlki1]+_b[dlki2]+_b[dlki3])/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])=0


ivreg2 grgdpw grgdpw2   y* ccountry* (grgdpw1 lki dlki= grgdpw3 grgdpw4 lki2 lki3 lki4 lki5 lki6 lrgdpw5 lrgdpw6 /*
*/ltrade2 ltrade3 lgov2 lgov3 linfl2 linfl3) if oecd==1, bw(2) ro 
abar, lags(2)

scalar define g=_b[lki]/(1-_b[grgdpw1]-_b[grgdpw2])
scalar dir g
testnl _b[lki]/(1-_b[grgdpw1]-_b[grgdpw2])=0

scalar define lev=(_b[dlki])/(1-_b[grgdpw1]-_b[grgdpw2])
scalar dir lev
testnl (_b[dlki])/(1-_b[grgdpw1]-_b[grgdpw2])=0



/******NON-OECD********/
ivreg2 grgdpw grgdpw2 grgdpw3 dlki2 dlki3 y* ccountry* (grgdpw1 lki dlki dlki1= grgdpw4 dlki4 lki5 lki6 lrgdpw5 lrgdpw6 /*
*/ltrade2 ltrade3 lgov2 lgov3 linfl2 linfl3) if oecd~=1, bw(2) ro 
abar, lags(2)

test dlki dlki1 dlki2 dlki3
test dlki dlki2 dlki3

scalar define g=_b[lki]/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])
scalar dir g
testnl _b[lki]/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])=0

scalar define lev=(_b[dlki]+_b[dlki1]+_b[dlki2]+_b[dlki3])/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])
scalar dir lev
testnl (_b[dlki]+_b[dlki1]+_b[dlki2]+_b[dlki3])/(1-_b[grgdpw1]-_b[grgdpw2]-_b[grgdpw3])=0




ivreg2 grgdpw grgdpw2   y* ccountry* (grgdpw1 lki1 dlki1= grgdpw3 grgdpw4 lki2 lki3 lki4 lki5 lki6 lrgdpw5 lrgdpw6 /*
*/ ltrade2 ltrade3 lgov2 lgov3 linfl2 linfl3) if oecd~=1, bw(2) ro 
abar, lags(2)

scalar define g=_b[lki1]/(1-_b[grgdpw1]-_b[grgdpw2])
scalar dir g
testnl _b[lki1]/(1-_b[grgdpw1]-_b[grgdpw2])=0

scalar define lev=(_b[dlki1])/(1-_b[grgdpw1]-_b[grgdpw2])
scalar dir lev
testnl (_b[dlki1])/(1-_b[grgdpw1]-_b[grgdpw2])=0



log close
